GET /feed/data_series

braze.com

Summary: News Feed Card Analytics
Operation ID: newsFeedCardAnalytics
Auth: unknown
Description

This endpoint allows you to retrieve a daily series of engagement stats for a card over time. ### Components Used - [Card ID](https://www.braze.com/docs/api/identifier_types/) - [News Feed List](https://www.braze.com/docs/api/endpoints/export/news_feed/get_news_feed_cards/) ## Response ```json Content-Type: application/json Authorization: Bearer YOUR-REST-API-KEY { "message": (required, string) the status of the export, returns 'success' when completed without errors, "data" : [ { "time" : (string) point in time - as ISO 8601 extended when unit is "hour" and as ISO 8601 date when unit is "day", "clicks" : (int) , "impressions" : (int), "unique_clicks" : (int), "unique_impressions" : (int) }, ... ] } ```

Parameters (4)

card_id (string, query, optional)

(Required) String Card API identifier

ending_at (string, query, optional)

(Optional) DateTime (ISO 8601 string) Date on which the data series should end - defaults to time of the request

length (string, query, optional)

(Required) Integer Max number of units (days or hours) before ending_at to include in the returned series - must be between 1 and 100 inclusive

unit (string, query, optional)

(Optional) String Unit of time between data points - can be "day" or "hour" (defaults to "day")

No probe data for this endpoint yet.